List entities
GET
/entities
const url = 'https://shoehorn.example.com/api/v1/entities?limit=20&type=service&lifecycle=experimental&tier=tier1';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://shoehorn.example.com/api/v1/entities?limit=20&type=service&lifecycle=experimental&tier=tier1'Returns a paginated list of catalog entities.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” limit
integer
cursor
string
type
string
lifecycle
string
owner
string
tier
string
Responses
Section titled “ Responses ”Paginated list of entities
Media type application/json
object
entities
Array<object>
object
id
string format: uuid
service_id
Human-readable identifier
string
name
string
type
string
lifecycle
string
owner
string
description
string
tier
string
tags
Array<string>
links
Array<object>
object
title
string
url
string format: uri
icon
string
source
string
created_at
string format: date-time
updated_at
string format: date-time
pagination
object
total
integer
page
integer
pageSize
integer
nextCursor
string
Example
{ "entities": [ { "source": "kubernetes" } ]}